<template>
  <Header :detail="detail" />
  <Carousel :detail="detail" />
  <DetailProduct :detail="detail" />
</template>
<script>
import axios from "axios";
import Header from "./content/Header.vue";
import Carousel from "./content/Carousel.vue";
import DetailProduct from "./content/Detail.vue";

export default {
  name: "ComponentProductDetail",
  components: {
    Header,
    Carousel,
    DetailProduct,
  },
  data() {
    return {
      detail: [],
      id: "",
    };
  },
  created() {
    this.id = this.$route.params.id;
    axios
      .get(`products/${this.id}`)
      .then((res) => {
        this.detail = res.data;
      })
      .catch((e) => {
        console.log(e);
      });
  },
};
</script>
